IBANK nids Eksplorer

Ne, nisam naprasno zaboravio engleski kao što bi neko čitajući ovaj naslov mogao da pomisli. U pitanju je jedna od imbecilnih poruka koje e-banking sistem delta banke ispisuje na ekranu kada pokušate da se prijavite sa Firefefox-om.

E sad, da li je razvoj Secure Web aplikacije toliko komplikovan da mora da se pravi tako da radi samo u IE-u ? Ne naravno. Lično sam učestvovao u razvoju nekoliko, i bez problema su radile na svim browserima od lynx-a pa do Opere. Pa u čemu je onda problem razviti Web aplikaciju koja će biti napisana po W3C standardima i podržati sve moderne browsere ? 90% ljudi koristi IE, pa ko šiša ostale ? Khm, mislim da nije to u pitanju.

Ovde je u pitanju surovo neznanje, koje firme koje prave ovakav “software” kriju iza opredeljenja za “sigurnu razvojnu platformu” (MS && .Net). Kako drugačije komentarisati poruke tipa “Your Web Browser nids to support JavaScript” ili “You have to have MSDOM version 6.0. This component you get with Internet Eksplorer 6.0” ?

I za kraj, gospodo, ako je za vas cosmic science validan ssl sertifikat, cosmic science bilo sta sto nije IE, naučite bar engleski. Ili mi “nids to have fucking IE” napišite na staroj dobroj ćirilici.

P.S. Rasprava o ovoj temi otvorena je na DevPro forumu.

Leave a Reply

Your email address will not be published. Required fields are marked *